import axios from '@/libs/api.request'

/* 实时库存 */
export const GetRealTimeStockOut = (data = {}) => {
  return axios.request({
    url: '/api/StorageHome/GetRealTimeStockOut',
    data,
    method: 'post'
  })
}

/* 最新申购 */
export const GetLatestApplyPurchase = (data = {}) => {
  return axios.request({
    url: '/api/StorageHome/GetLatestApplyPurchase',
    data,
    method: 'post'
  })
}

/* 核心面料消耗量 */
export const GetCoreMateriaConsume = (data = {}) => {
  return axios.request({
    url: '/api/StorageHome/GetCoreMateriaConsume',
    data,
    method: 'post'
  })
}

/* 采购进度（首页） */
export const GetPurchaseProgress = (data = {}) => {
  return axios.request({
    url: '/api/StorageHome/GetPurchaseProgress',
    data,
    method: 'post'
  })
}

/* 获取消息提醒列表（子页面） */
export const GetMessageRemindPage = (data = {}) => {
  return axios.request({
    url: '/api/StorageHome/GetMessageRemindPage',
    data,
    method: 'post'
  })
}

/* 阅读消息提醒 */
export const ReadMessageRemind = (data = {}) => {
  return axios.request({
    url: '/api/StorageHome/ReadMessageRemind',
    data,
    method: 'post'
  })
}

/* 获取总览 */
export const GetTotalView = (data = {}) => {
  return axios.request({
    url: '/api/StorageHome/GetTotalView',
    data,
    method: 'post'
  })
}

/* 获取库存监控 */
export const GetStockMonitor = (data = {}) => {
  return axios.request({
    url: '/api/StorageHome/GetStockMonitor',
    data,
    method: 'post'
  })
}

/* 库存滞留数据 */
export const GetStockDetailDelay = (data = {}) => {
  return axios.request({
    url: '/api/StorageHome/GetStockDetailDelay',
    data,
    method: 'post'
  })
}

/* 今日消耗合计 */
export const GetTodayConsumeTotal = (data = {}) => {
  return axios.request({
    url: '/api/StorageHome/GetTodayConsumeTotal',
    data,
    method: 'post'
  })
}

/* 今日消耗排名 */
export const GetTodayConsumeRank = (data = {}) => {
  return axios.request({
    url: '/api/StorageHome/GetTodayConsumeRank',
    data,
    method: 'post'
  })
}
/* 今日消耗用户列表 */
export const GetTodayConsumeUser = (data = {}) => {
  return axios.request({
    url: '/api/StorageHome/GetTodayConsumeUser',
    data,
    method: 'post'
  })
}
/* 今日消耗详情 */
export const GetTodayConsumeDetail = (data = {}) => {
  return axios.request({
    url: '/api/StorageHome/GetTodayConsumeDetail',
    data,
    method: 'post'
  })
}
/* 滞留物料详情 */
export const GetStockDelayMaterial = (data = {}) => {
  return axios.request({
    url: '/api/StorageHome/GetStockDelayMaterial',
    data,
    method: 'post'
  })
}
/* 库存预警 */
export const GetStockWarning = (data = {}) => {
  return axios.request({
    url: '/api/StorageHome/GetStockWarning',
    data,
    method: 'post'
  })
}

/* 库存合计（按照工艺类型） */
export const GetStockDetailTotal = (data = {}) => {
  return axios.request({
    url: '/api/StorageHome/GetStockDetailTotal',
    data,
    method: 'post'
  })
}

/* 异常出库列表 */
export const AbnormalOutStockPageList = (data = {}) => {
  return axios.request({
    url: '/api/StorageHome/AbnormalOutStockPageList',
    data,
    method: 'post'
  })
}

/* 异常出库处理 */
export const AbnormalOutStockDeal = (data = {}) => {
  return axios.request({
    url: '/api/StorageHome/AbnormalOutStockDeal',
    data,
    method: 'post'
  })
}
